Skip to main content
GET
/
api
/
public
/
v1
/
invoices
/
{id}
Get invoice
curl --request GET \
  --url https://api.vmarea.com/api/v1/api/public/v1/invoices/{id} \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "periodStart": "2023-11-07T05:31:56Z",
    "periodEnd": "2023-11-07T05:31:56Z",
    "itemCount": 123,
    "generatedAt": "2023-11-07T05:31:56Z",
    "openingBalance": "<unknown>",
    "closingBalance": "<unknown>",
    "totalCredits": "<unknown>",
    "totalDebits": "<unknown>",
    "lineItems": "<unknown>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vmarea.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Long-lived API token created at https://vmarea.com/dashboard/settings/api-keys. Tokens are scope-restricted; this spec lists the scope each endpoint requires.

Path Parameters

id
string
required

Response

Default Response

success
enum<boolean>
required
Available options:
true
data
object
required